Subject: Re: bug#24404: "calibre" package fails to build.

From: Andreas Enge <[email-masked]>
Date: Thu, 2 Aug 2018 18:22:09 +0200

Everything built now, including calibre; but when I try to launch it,
I get the same error message as posted by Leo:
Traceback (most recent call last):
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/bin/.calibre-real", line 20, in <module>
    sys.exit(calibre())
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui_launch.py", line 74, in calibre
    main(args)
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/main.py", line 567, in main
    gui_debug=gui_debug)
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/main.py", line 396, in run_gui
    from calibre.gui2.ui import Main
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/ui.py", line 43, in <module>
    from calibre.gui2.init import LibraryViewMixin, LayoutMixin
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/init.py", line 19, in <module>
    from calibre.gui2.library.views import BooksView, DeviceBooksView
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/library/views.py", line 19, in <module>
    from calibre.gui2.library.delegates import (RatingDelegate, PubDateDelegate,
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/library/delegates.py", line 24, in <module>
    from calibre.gui2.dialogs.comments_dialog import CommentsDialog, PlainTextDialog
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/dialogs/comments_dialog.py", line 9, in <module>
    from calibre.gui2.dialogs.comments_dialog_ui import Ui_CommentsDialog
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/dialogs/comments_dialog_ui.py", line 40, in <module>
    from calibre.gui2.comments_editor import Editor
  File "/gnu/store/k6kkggp9nwlypdhda78067zqw3jm2z44-calibre-3.28.0/lib/calibre/calibre/gui2/comments_editor.py", line 17, in <module>
    from PyQt5.QtWebKitWidgets import QWebView, QWebPage
ImportError: No module named QtWebKitWidgets

And indeed,
/gnu/store/ga8rw0sharf2j05cr0khxs66x4ajgis1-python2-pyqt-5.11.2/lib/python2.7/site-packages/PyQt5
contains a lot of .so files, but none starting with QtWebkit.

$ guix gc --references /gnu/store/ga8rw0sharf2j05cr0khxs66x4ajgis1-python2-pyqt-5.11.2
shows no reference whatsoever to webkit.

The log file only states that it is grafting... How do I get the log file
for the ungrafted derivation? Anyway, there are only two, so the other one
must be good.

Here we go:
These PyQt5 modules will be built: QtCore, QtGui, QtHelp, QtMultimedia,
QtMultimediaWidgets, QtNetwork, QtOpenGL, QtPrintSupport, QtQml, QtQuick,
QtSql, QtSvg, QtTest, QtWidgets, QtXml, QtXmlPatterns, QtDesigner, QtDBus,
_QOpenGLFunctions_2_0, _QOpenGLFunctions_2_1, _QOpenGLFunctions_4_1_Core,
QtSensors, QtSerialPort, QtX11Extras, QtBluetooth, QtPositioning,
QtQuickWidgets, QtWebSockets, QtWebChannel, QtLocation, QtNfc.

No mention of QtWebkit, and in fact there is no test in the preceding
configure phase.

So it looks as if just adding the input qtwebkit is not enough to
integrate it.

Andreas